Task-MojoliciousPlugins-PerlAcademy v0.02 Perl 5 v5.24.3 OpenBSD.amd64-openbsd

Status
Unknown
From
Alceu Rodrigues de Freitas Junior
Dist
Task-MojoliciousPlugins-PerlAcademy v0.02
Platform
Perl 5 v5.24.3 OpenBSD.amd64-openbsd
Date
2018-02-22T22:35:11
ID
a4bd982e-1820-11e8-86a0-aae65148dc6f
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Renee Baecker,

This is a computer-generated report for Task-MojoliciousPlugins-PerlAcademy-0.02
on perl 5.24.3, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  However, attempting to
test your distribution gave an inconclusive result.

This could be because your distribution had an error during the make/build
stage, did not define tests, tests could not be found, because your tests were
interrupted before they finished, or because the results of the tests could not
be parsed.  You may wish to consult the CPAN Testers Wiki:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/home/goku/perl5/perlbrew/perls/perl-5.24.3/bin/perl Makefile.PL':

Checking if your kit is complete...
Looks good
Warning: prerequisite MojoX::AIO 0.06 not found.
Warning: prerequisite MojoX::Auth::Simple v0.4.3 not found.
Warning: prerequisite MojoX::CPAN::Uploader 0.032 not found.
Warning: prerequisite MojoX::GlobalEvents 0.02 not found.
Warning: prerequisite MojoX::IOLoop::Server::StartTLS 5.14 not found.
Warning: prerequisite MojoX::JSON::RPC 0.06 not found.
Warning: prerequisite MojoX::JSON::RPC::Service::AutoRegister 0.001 not found.
Warning: prerequisite MojoX::JSON::XS 0.01 not found.
Warning: prerequisite MojoX::Log::Declare 0.03 not found.
Warning: prerequisite MojoX::Log::Dispatch 0.1 not found.
Warning: prerequisite MojoX::Logite 0.01 not found.
Warning: prerequisite MojoX::Moose::Controller 0.02 not found.
Warning: prerequisite MojoX::Plugin::PHP 0.03 not found.
Warning: prerequisite MojoX::Plugin::PODRenderer 0.01 not found.
Warning: prerequisite MojoX::Renderer::Alloy 1.121150 not found.
Warning: prerequisite MojoX::Renderer::CTPP2 0.02 not found.
Warning: prerequisite MojoX::Renderer::HTP 0.032 not found.
Warning: prerequisite MojoX::Renderer::JSON::XS 0.04 not found.
Warning: prerequisite MojoX::Renderer::WriteExcel 1.11 not found.
Warning: prerequisite MojoX::Renderer::XSLT 0.01 not found.
Warning: prerequisite MojoX::Run 0.15 not found.
Warning: prerequisite MojoX::Session 0.31 not found.
Warning: prerequisite MojoX::Session::Simple 0.02 not found.
Warning: prerequisite MojoX::Session::Store::File 0.01 not found.
Warning: prerequisite MojoX::Session::Store::Libmemcached 0.17 not found.
Warning: prerequisite MojoX::Session::Store::Memcached 0.02 not found.
Warning: prerequisite MojoX::Session::Store::MongoDB 0.52 not found.
Warning: prerequisite MojoX::Session::Store::Redis 0.07 not found.
Warning: prerequisite MojoX::UserAgent 0.21 not found.
Warning: prerequisite MojoX::UserAgent::Throttler v0.1.1 not found.
Warning: prerequisite Mojolicious::Command::generate::bootstrap 0.04 not found.
Warning: prerequisite Mojolicious::Command::generate::bootstrap_app 0.07 not found.
Warning: prerequisite Mojolicious::Command::generate::dbicdump v0.1.1 not found.
Warning: prerequisite Mojolicious::Command::generate::upstart 0.02 not found.
Warning: prerequisite Mojolicious::Command::secret 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::AccessControl 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::AdvancedMod 0.38 not found.
Warning: prerequisite Mojolicious::Plugin::Airbrake 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::Angular::MaterialDesign 0.603 not found.
Warning: prerequisite Mojolicious::Plugin::AnyData 1.20 not found.
Warning: prerequisite Mojolicious::Plugin::AppCacheManifest 0.05 not found.
Warning: prerequisite Mojolicious::Plugin::Args 0.05 not found. We have unknown version.
Warning: prerequisite Mojolicious::Plugin::AutoIndex 0.0006 not found.
Warning: prerequisite Mojolicious::Plugin::BasicAuthPlus 0.07 not found.
Warning: prerequisite Mojolicious::Plugin::Bcrypt 0.14 not found.
Warning: prerequisite Mojolicious::Plugin::Bootstrap3 3.2005 not found.
Warning: prerequisite Mojolicious::Plugin::BootstrapAlerts 0.06 not found.
Warning: prerequisite Mojolicious::Plugin::BrowserDetect 0.003 not found.
Warning: prerequisite Mojolicious::Plugin::Browserify 0.06 not found.
Warning: prerequisite Mojolicious::Plugin::Bundle 0.004 not found.
Warning: prerequisite Mojolicious::Plugin::CORS 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::CSRFDefender v0.0.8 not found.
Warning: prerequisite Mojolicious::Plugin::CSRFProtect 0.16 not found.
Warning: prerequisite Mojolicious::Plugin::CSSCompressor 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::Cache 0.0015 not found.
Warning: prerequisite Mojolicious::Plugin::CacheMoney 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::CaptchaRenderer 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::ConfigRoutes 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::ConfigSimple 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::CountryDropDown 0.06 not found.
Warning: prerequisite Mojolicious::Plugin::DBICAdmin 0.0006 not found.
Warning: prerequisite Mojolicious::Plugin::DBIxTransactionManager 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::Data::Validate::WithYAML 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::DeCSRF 0.94 not found.
Warning: prerequisite Mojolicious::Plugin::DirectoryQueue 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::Disqus 1.22 not found.
Warning: prerequisite Mojolicious::Plugin::DomIdHelper 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::Dotcloud 1.01 not found.
Warning: prerequisite Mojolicious::Plugin::DumpyLog 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::EventSource 0.3 not found.
Warning: prerequisite Mojolicious::Plugin::FillInFormLite 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::FontAwesome4 4.2004 not found.
Warning: prerequisite Mojolicious::Plugin::FormFieldsFromJSON::Date 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::FormValidator 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::Geo 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::GoogleAnalytics 1.005 not found.
Warning: prerequisite Mojolicious::Plugin::Gravatar 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::GroupedParams 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::HTMLTemplateProRenderer 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::HTMLTemplateRenderer 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::HTTPStatusRenderer 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::HamlRenderer 2.100000 not found.
Warning: prerequisite Mojolicious::Plugin::JQuery 2.11003 not found.
Warning: prerequisite Mojolicious::Plugin::KossyValidator 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::Leafletjs 0.004 not found.
Warning: prerequisite Mojolicious::Plugin::LeakTracker 1.00 not found.
Warning: prerequisite Mojolicious::Plugin::Libravatar 1.09 not found.
Warning: prerequisite Mojolicious::Plugin::LinkEmbedder 0.16 not found.
Warning: prerequisite Mojolicious::Plugin::MarkaplRenderer v0.2.0 not found.
Warning: prerequisite Mojolicious::Plugin::Mason1Renderer 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::Mason2Renderer 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::Message::Locale 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::Mobi 0.06 not found.
Warning: prerequisite Mojolicious::Plugin::Mongodb 1.16 not found.
Warning: prerequisite Mojolicious::Plugin::MultiConfig 0.2 not found.
Warning: prerequisite Mojolicious::Plugin::MySQLViewerLite 0.16 not found.
Warning: prerequisite Mojolicious::Plugin::NamespaceForm 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::Narada v0.2.2 not found.
Warning: prerequisite Mojolicious::Plugin::Nexmo 0.91 not found.
Warning: prerequisite Mojolicious::Plugin::Nour::Config 0.09 not found.
Warning: prerequisite Mojolicious::Plugin::Nour::Database 0.09 not found.
Warning: prerequisite Mojolicious::Plugin::PDFRenderer 0.08 not found. We have unknown version.
Warning: prerequisite Mojolicious::Plugin::ParamsAuth 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::PgAsync 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::ProRenderer 0.40 not found.
Warning: prerequisite Mojolicious::Plugin::Qaptcha 0.10 not found.
Warning: prerequisite Mojolicious::Plugin::Redis 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::Responsinator 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::Resque 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::SQLMaker 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::SassRenderer 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::SaveRequest 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::ServerSession 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::SessionCompress 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::ShareHelpers 0.7 not found.
Warning: prerequisite Mojolicious::Plugin::Shotwell 0.05 not found.
Warning: prerequisite Mojolicious::Plugin::SimpleSession 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::Sprite 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::StaticCompressor v1.0.0 not found.
Warning: prerequisite Mojolicious::Plugin::Sugar 0.002 not found.
Warning: prerequisite Mojolicious::Plugin::TagHelpersI18N 0.03 not found.
Warning: prerequisite Mojolicious::Plugin::Thumbnail 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::Toto 0.25 not found.
Warning: prerequisite Mojolicious::Plugin::TweetButton 0.0003 not found.
Warning: prerequisite Mojolicious::Plugin::UTF8 0.01 not found.
Warning: prerequisite Mojolicious::Plugin::UrlWith 0.0502 not found.
Warning: prerequisite Mojolicious::Plugin::UserMessages 0.511 not found.
Warning: prerequisite Mojolicious::Plugin::VHost 0.04 not found.
Warning: prerequisite Mojolicious::Plugin::ValidateMoose 0.02 not found.
Warning: prerequisite Mojolicious::Plugin::WWWSession 0.06 not found.
Warning: prerequisite Mojolicious::Plugin::Wolowitz v1.0.1 not found.
Warning: prerequisite Mojolicious::Plugin::ZombieApocalypse 0.01 not found.
Generating a Unix-style Makefile
Writing Makefile for Task::MojoliciousPlugins::PerlAcademy
Error closing 'MYMETA.json': No space left on device

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

configure_requires:

    Module              Need Have
    ------------------- ---- ----
    ExtUtils::MakeMaker 0    7.32


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    DBD_MYSQL_TESTDB = test
    DBD_MYSQL_TESTHOST = localhost
    DBD_MYSQL_TESTPASSWORD = 
    DBD_MYSQL_TESTPORT = 3306
    DBD_MYSQL_TESTUSER = goku
    EXTENDED_TESTING = 1
    PATH = /home/goku/perl5/perlbrew/bin:/home/goku/perl5/perlbrew/perls/perl-5.24.3/bin:/home/goku/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin
    PERL = /home/goku/perl5/perlbrew/perls/perl-5.24.3/bin/perl
    PERL5LIB = 
    PERL5OPT = -I/tmp/CPAN-Reporter-lib-WsI2 -MDevel::Autoflush
    PERL5_CPANPLUS_IS_RUNNING = 76180
    PERL5_CPAN_IS_EXECUTING = /mnt/cpan_build_dir/goku/Task-MojoliciousPlugins-PerlAcademy-0.02-0/Makefile.PL
    PERL5_CPAN_IS_RUNNING = 76180
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 91130,76180
    PERLBREW_HOME = /home/goku/.perlbrew
    PERLBREW_MANPATH = /home/goku/perl5/perlbrew/perls/perl-5.24.3/man
    PERLBREW_PATH = /home/goku/perl5/perlbrew/bin:/home/goku/perl5/perlbrew/perls/perl-5.24.3/bin
    PERLBREW_PERL = perl-5.24.3
    PERLBREW_ROOT = /home/goku/perl5/perlbrew
    PERLBREW_SHELLRC_VERSION = 0.82
    PERLBREW_VERSION = 0.82
    PERL_AUTOINSTALL = --defaultdeps
    PERL_CR_SMOKER_CURRENT = Task-MojoliciousPlugins-PerlAcademy-0.02
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/local/bin/bash
    TERM = xterm

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/goku/perl5/perlbrew/perls/perl-5.24.3/bin/perl
    $UID/$EUID = 1001 / 1001
    $GID = 998 998 1001
    $EGID = 998 998 1001

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.20    
    CPAN::Meta          2.150010
    Cwd                 3.74    
    ExtUtils::CBuilder  0.280230
    ExtUtils::Command   7.32    
    ExtUtils::Install   2.14    
    ExtUtils::MakeMaker 7.32    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.35    
    File::Spec          3.74    
    JSON                2.97001 
    JSON::PP            2.97001 
    Module::Build       0.42_26 
    Module::Signature   n/a     
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.40_01 
    Test::More          1.302124
    YAML                1.24    
    YAML::Syck          1.30    
    version             0.9918  


--

Summary of my perl5 (revision 5 version 24 subversion 3) configuration:
   
  Platform:
    osname=openbsd, osvers=6.2, archname=OpenBSD.amd64-openbsd
    uname='openbsd cpan-smoker-openbsd 6.2 generic.mp#134 amd64 '
    config_args='-de -Dprefix=/home/goku/perl5/perlbrew/perls/perl-5.24.3 -Aeval:scriptdir=/home/goku/perl5/perlbrew/perls/perl-5.24.3/bin'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    use64bitint=define, use64bitall=define, uselongdouble=undef
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_FORTIFY_SOURCE=2',
    optimize='-O2',
    cppflags='-fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion='', gccversion='4.2.1 Compatible OpenBSD Clang 4.0.0 (tags/RELEASE_400/final)', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='double', nvsize=8, Off_t='off_t', lseeksize=8
    alignbytes=8, prototype=define
  Linker and Libraries:
    ld='cc', ldflags ='-Wl,-E  -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/lib /usr/local/lib
    libs=-lpthread -lm -lutil -lc
    perllibs=-lpthread -lm -lutil -lc
    libc=/usr/lib/libc.so.90.0, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version=''
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' '
    cccdlflags='-DPIC -fPIC ', lddlflags='-shared -fPIC  -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES PERLIO_LAYERS PERL_COPY_ON_WRITE
                        PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD PERL_MALLOC_WRAP
                        PERL_PRESERVE_IVUV USE_64_BIT_ALL USE_64_BIT_INT
                        USE_LARGE_FILES USE_LOCALE USE_LOCALE_COLLATE
                        USE_LOCALE_CTYPE USE_LOCALE_NUMERIC USE_LOCALE_TIME
                        USE_PERLIO USE_PERL_ATOF
  Locally applied patches:
	Devel::PatchPerl 1.48
  Built under openbsd
  Compiled at Feb 15 2018 18:16:36
  %ENV:
    PERL="/home/goku/perl5/perlbrew/perls/perl-5.24.3/bin/perl"
    PERL5LIB=""
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="76180"
    PERL5_CPAN_IS_EXECUTING="/mnt/cpan_build_dir/goku/Task-MojoliciousPlugins-PerlAcademy-0.02-0/Makefile.PL"
    PERL5_CPAN_IS_RUNNING="76180"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="91130,76180"
    PERLBREW_HOME="/home/goku/.perlbrew"
    PERLBREW_MANPATH="/home/goku/perl5/perlbrew/perls/perl-5.24.3/man"
    PERLBREW_PATH="/home/goku/perl5/perlbrew/bin:/home/goku/perl5/perlbrew/perls/perl-5.24.3/bin"
    PERLBREW_PERL="perl-5.24.3"
    PERLBREW_ROOT="/home/goku/perl5/perlbrew"
    PERLBREW_SHELLRC_VERSION="0.82"
    PERLBREW_VERSION="0.82"
    PERL_AUTOINSTALL="--defaultdeps"
    PERL_CR_SMOKER_CURRENT="Task-MojoliciousPlugins-PerlAcademy-0.02"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /home/goku/perl5/perlbrew/perls/perl-5.24.3/lib/site_perl/5.24.3/OpenBSD.amd64-openbsd
    /home/goku/perl5/perlbrew/perls/perl-5.24.3/lib/site_perl/5.24.3
    /home/goku/perl5/perlbrew/perls/perl-5.24.3/lib/5.24.3/OpenBSD.amd64-openbsd
    /home/goku/perl5/perlbrew/perls/perl-5.24.3/lib/5.24.3
    .